
/* Generated data (by glib-mkenums) */

#include "gq-enumerations.h"
/* enumerations from "gq-server.h" */
#include "gq-server.h"
GType
gq_bind_type_get_type(void) {
	static GType etype = 0;
	if(!etype) {
		static const GEnumValue values[] = {
			{GQ_BIND_SIMPLE, "GQ_BIND_SIMPLE", "simple"},
			{GQ_BIND_KERBEROS, "GQ_BIND_KERBEROS", "kerberos"},
			{GQ_BIND_SASL, "GQ_BIND_SASL", "sasl"},
			{0, NULL, NULL}
		};

		etype = g_enum_register_static("GqBindType", values);
	}
	
	return etype;
}
GType
gq_server_flags_get_type(void) {
	static GType etype = 0;
	if(!etype) {
		static const GEnumValue values[] = {
			{SERVER_HAS_NO_SCHEMA, "SERVER_HAS_NO_SCHEMA", "schema"},
			{0, NULL, NULL}
		};

		etype = g_enum_register_static("GqServerFlags", values);
	}
	
	return etype;
}
/* enumerations from "gq-tab-search.h" */
#include "gq-tab-search.h"
GType
gq_search_mode_get_type(void) {
	static GType etype = 0;
	if(!etype) {
		static const GEnumValue values[] = {
			{GQ_SEARCH_MODE_BEGINS_WITH, "GQ_SEARCH_MODE_BEGINS_WITH", "begins-with"},
			{GQ_SEARCH_MODE_ENDS_WITH, "GQ_SEARCH_MODE_ENDS_WITH", "ends-with"},
			{GQ_SEARCH_MODE_CONTAINS, "GQ_SEARCH_MODE_CONTAINS", "contains"},
			{GQ_SEARCH_MODE_EQUALS, "GQ_SEARCH_MODE_EQUALS", "equals"},
			{0, NULL, NULL}
		};

		etype = g_enum_register_static("GqSearchMode", values);
	}
	
	return etype;
}

/* Generated data ends here */

